com.tibco.n2.service.adapter.component.impl

## Class ECComponentImpl

- java.lang.Object
- - com.tibco.n2.service.adapter.component.impl.ECComponentImpl

- All Implemented Interfaces:
    ECComponent

      public class ECComponentImpl
      extends java.lang.Object
      implements ECComponent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECComponentImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventCollectorAuditService` | `getEventCollectorAuditService()` Returns a Event Collector Audit Service object.
    `EventCollectorManagementService` | `getEventCollectorManagementService()` Returns an Event Collector Management Service object
    `EventCollectorMeasuresService` | `getEventCollectorMeasuresService()` Returns a Event Collector Measures Service object.
    `EventCollectorQueryService` | `getEventCollectorQueryService()` Returns a Event Collector Query Service object.
    `EventCollectorReportService` | `getEventCollectorReportService()` Returns an EventCollectorReportService object
    `EventCollectorUpdateService` | `getEventCollectorUpdateService()` Returns a Event Collector Update Service object.
    `void` | `setEventCollectorAuditService(EventCollectorAuditService eventCollectorAuditService)`
    `void` | `setEventCollectorManagementService(EventCollectorManagementService eventCollectorManagementService)`
    `void` | `setEventCollectorMeasuresService(EventCollectorMeasuresService eventCollectorMeasuresService)`
    `void` | `setEventCollectorQueryService(EventCollectorQueryService eventCollectorQueryService)`
    `void` | `setEventCollectorReportService(EventCollectorReportService eventCollectorReportService)`
    `void` | `setEventCollectorUpdateService(EventCollectorUpdateService eventCollectorUpdateService)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECComponentImpl

          public ECComponentImpl()

  - ### Method Detail

    - #### setEventCollectorQueryService

          public void setEventCollectorQueryService(EventCollectorQueryService eventCollectorQueryService)

    - #### getEventCollectorQueryService

          public EventCollectorQueryService getEventCollectorQueryService()
                                                                   throws ConfigurationException

      Description copied from interface: `ECComponent`
      Returns a Event Collector Query Service object.
      Specified by:
        `getEventCollectorQueryService` in interface `ECComponent`
      Returns:
      Throws:
        `ConfigurationException`

    - #### setEventCollectorAuditService

          public void setEventCollectorAuditService(EventCollectorAuditService eventCollectorAuditService)

    - #### getEventCollectorAuditService

          public EventCollectorAuditService getEventCollectorAuditService()
                                                                   throws ConfigurationException

      Description copied from interface: `ECComponent`
      Returns a Event Collector Audit Service object.
      Specified by:
        `getEventCollectorAuditService` in interface `ECComponent`
      Returns:
      Throws:
        `ConfigurationException`

    - #### setEventCollectorUpdateService

          public void setEventCollectorUpdateService(EventCollectorUpdateService eventCollectorUpdateService)

    - #### getEventCollectorUpdateService

          public EventCollectorUpdateService getEventCollectorUpdateService()
                                                                     throws ConfigurationException

      Description copied from interface: `ECComponent`
      Returns a Event Collector Update Service object.
      Specified by:
        `getEventCollectorUpdateService` in interface `ECComponent`
      Returns:
      Throws:
        `ConfigurationException`

    - #### setEventCollectorMeasuresService

          public void setEventCollectorMeasuresService(EventCollectorMeasuresService eventCollectorMeasuresService)

    - #### getEventCollectorMeasuresService

          public EventCollectorMeasuresService getEventCollectorMeasuresService()
                                                                         throws ConfigurationException

      Description copied from interface: `ECComponent`
      Returns a Event Collector Measures Service object.
      Specified by:
        `getEventCollectorMeasuresService` in interface `ECComponent`
      Returns:
      Throws:
        `ConfigurationException`

    - #### setEventCollectorManagementService

          public void setEventCollectorManagementService(EventCollectorManagementService eventCollectorManagementService)

    - #### getEventCollectorManagementService

          public EventCollectorManagementService getEventCollectorManagementService()

      Description copied from interface: `ECComponent`
      Returns an Event Collector Management Service object
      Specified by:
        `getEventCollectorManagementService` in interface `ECComponent`
      Returns:

    - #### getEventCollectorReportService

          public EventCollectorReportService getEventCollectorReportService()

      Description copied from interface: `ECComponent`
      Returns an EventCollectorReportService object
      Specified by:
        `getEventCollectorReportService` in interface `ECComponent`
      Returns:

    - #### setEventCollectorReportService

          public void setEventCollectorReportService(EventCollectorReportService eventCollectorReportService)

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.